Page MenuHomePhabricator

stringutil: add isauthorwellformed function
ClosedPublic

Authored by sheehan on Mar 27 2018, 12:04 PM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sheehan created this revision.Mar 27 2018, 12:04 PM
av6 added a subscriber: av6.Mar 28 2018, 1:04 AM
av6 added inline comments.
mercurial/utils/stringutil.py
333

Nit: is not None is more pythonic.

yuja requested changes to this revision.Mar 28 2018, 9:16 AM
yuja added a subscriber: yuja.

Looks mostly good, but can you fix these nits?

mercurial/utils/stringutil.py
313

Nit: add br'' for Python 3 compatibility.

318

b'' for Python 3 compatibility.

This revision now requires changes to proceed.Mar 28 2018, 9:16 AM
sheehan marked 3 inline comments as done.Mar 29 2018, 10:10 AM
sheehan updated this revision to Diff 7359.
yuja accepted this revision.Mar 30 2018, 8:35 AM
This revision is now accepted and ready to land.Mar 30 2018, 8:35 AM
This revision was automatically updated to reflect the committed changes.